function visu(q,nbx,x,nby,y,nbz,z)

b=reshape(q,[nbx,nby,nbz]);
[X,Y,Z]=meshgrid(x,y,z);
isovalue=0.918;
figure(102)
clf
p=patch(isosurface(X,Y,Z,b,isovalue));
isonormals(X,Y,Z,b,p);
set(p,'FaceColor','red','EdgeColor','none');
daspect([1,1,1]);
view(3);axis tight
camlight
lighting phong
